# PetscSharedWorkingDirectory

Determines if all processors in a communicator share a working directory or have different ones.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscSharedWorkingDirectory(MPI_Comm comm,PetscTruth *shared)

Collective on MPI_Comm

### Input Parameters

comm -MPI_Communicator that may share working directory

### Output Parameters

shared -PETSC_TRUE or PETSC_FALSE

### Options Database Keys

| -shared_working_directory | - . -not_shared_working_directory

### Environmental Variables

| PETSC_SHARED_WORKING_DIRECTORY | - . PETSC_NOT_SHARED_WORKING_DIRECTORY

### Notes

Stores the status as a MPI attribute so it does not have to be redetermined each time.

Assumes that all processors in a communicator either 1) have a common working directory or 2) each has a separate working directory eventually we can write a fancier one that determines which processors share a common working directory.

This will be very slow on runs with a large number of processors since it requires O(p*p) file opens.

Level:developer
Location: src/sys/fileio/fretrieve.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages